.speciality-page-section {
    padding: 40px;
    flex: 1;
}
.speciality-page-content-cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 60px;
    column-gap: 20px;
}
.speciality-page-content-card {
    max-width: 669px;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 20px;
}
.speciality-page-content-card img {
    width: 240px;
    height: 150px;
    min-width: 240px;
    object-fit: contain;
}
.speciality-page-card-info {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 10px;
}
.speciality-page-card-info-title {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 20px;
}
.speciality-page-card-info-title h4 {
    font-size: 24px;
    font-weight: 700;
    line-height: 100%;
    letter-spacing: 0%;
    margin-bottom: 0;
    color: #08487C;
}
.speciality-page-card-info-title span {
    color: #666666;
    font-size: 16px;
    font-weight: 700;
    line-height: 100%;
    letter-spacing: 0%;
    margin-bottom: 0;
}
.speciality-page-card-info p{
    color: #000000;
    font-size: 16px;
    font-weight: 400;
    line-height: 100%;
    letter-spacing: 0%;
    margin-bottom: 0;
}
@media (max-width:1280px) {
    .container {
      max-width: 100% !important;
      padding: 0 !important;
    }
    .speciality-page-content-cards {
        grid-template-columns: 1fr;
        gap: 30px;
    }
    .speciality-page-content-card {
        max-width: 100%;
        height: 100%;
    }
    .nav-content-top-main img {
      width: 22px;
      height: 22px;
    }
    .nav-content-top-main p, .nav-content-top-subtitle {
      font-size: 12px;
    }
    .nav-content-top-img {
      width: 11px;
      height: 11px;
    }
    .nav-content-bottom p {
      font-size: 28px;
    }
    .nav-content, .speciality-page-card-info-title {
      gap: 10px;
    }
    .navigation-component {
      height: 100%;
      padding: 16px 36px;
    }
    .speciality-page-card-info-title h4 {
        font-size: 22px;
    }
    .speciality-page-section {
        padding: 30px;
    }
 
    .speciality-page-card-info-title span, .speciality-page-card-info p {
        font-size: 14px;
    }
}
@media (max-width:768px) {
   .nav-content-top-main img {
        width: 19px;
        height: 19px;
    }
    .nav-content-top-main {
        gap: 5px;
        padding: 10px 5px;
    }
    .nav-content-top-img {
        width: 9px;
        height: 9px;
    }
    .nav-content-top-main p, .nav-content-top-subtitle {
        font-size: 10px;
    }
    .nav-content-top, .college-content-left-text, .college-content-right-mission-text {
        gap: 10px;
    }
    .nav-content {
        gap: 5px;
    }
    .navigation-component {
        height: 100%; 
        padding: 15px 20px;
    }
    
    .nav-content-bottom p {
        font-size: 24px; 
        padding: 0 5px;
    }
    .nav-content-top-main p, .nav-content-top-subtitle{
       font-size: 12px;
    }
    .speciality-page-section {
        padding: 20px 15px;
    }

    .speciality-page-content-card {
        flex-direction: column;
        height: 100%;
    }

    .speciality-page-content-card img {
        width: 100%;
        height: 100%;
    }
    
    .speciality-page-card-info-title h4 {
        font-size: 20px; 
    }
    .speciality-page-content-cards {
        gap: 20px;
    }
    .speciality-page-content-card {
        gap: 10px;
    }
}
@media (max-width: 480px) {
    .nav-content-top-main p, .nav-content-top-subtitle {
        font-size: 10px;
    }
    .nav-content-bottom p {
        font-size: 18px;
    }
    .nav-content-top-main img {
        width: 17px;
        height: 17px;
    }
    .nav-content-top-img {
        width: 7px;
        height: 7px;
    }
    .nav-content-top, .college-content-left-text, .college-content-right-mission-text {
        gap: 5px;
    }
    .navigation-component {
        padding: 10px 15px;
    }
    .speciality-page-card-info-title h4 {
        font-size: 18px;
    }
    .speciality-page-section {
        padding: 10px;
    }
}